std::bad_alloc(3)

NAME
std::bad_alloc -

SYNOPSIS

Inherits std::exception.

  Public Member Functions
virtual const char * what () const throw ()

Detailed Description

Exception possibly thrown by new.

bad_alloc (or classes derived from it) is used to report allocation errors from the throwing forms of new.

Definition at line 54 of file new.

Member Function Documentation

  virtual const char* std::bad_alloc::what () const [virtual]
Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.